<?php


namespace Drupal\points_assignation_by_publication\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class AdminSettingsPoints
 */
class AdminSettingsPoints extends ConfigFormBase {

	/**
	 * @inheritdoc
	 */
	public function getFormId() {
		return 'admin_settings_points';
	}

	/**
	 * @inheritdoc
	 */
	protected function getEditableConfigNames() {
		return [
			'points_assignation_by_publication.settings'
		];
	}

	public function buildForm(array $form, FormStateInterface $form_state) {

		$config = $this->config('points_assignation_by_publication.settings');

		$form['value_per_submission'] = array(
			'#type' => 'textfield',
			'#title' => $this->t('Valor por envío'),
			'#default_value' => $config->get('value_per_submission')
		);

		$form['value_per_early_date'] = array(
			'#type' => 'textfield',
			'#title' => $this->t('Valor a sumar cuando se entregue antes de la fecha'),
			'#default_value' => $config->get('value_per_early_date')
		);

		$form['value_per_late_date'] = array(
			'#type' => 'textfield',
			'#title' => $this->t('Valor a restar cuando se entregue después de la fecha'),
			'#default_value' => $config->get('value_per_late_date')
		);

		$form['value_per_mistakes'] = array(
			'#type' => 'textfield',
			'#title' => $this->t('Valor a restar cuando se entregue y se tenga que devolver por errores'),
			'#default_value' => $config->get('value_per_mistakes')
		);


		return parent::buildForm($form, $form_state); // TODO: Change the autogenerated stub
	}

	/**
	 * @inheritdoc
	 * @param array $form
	 * @param FormStateInterface $form_state
	 */
	public function submitForm(array &$form, FormStateInterface $form_state) {
		// Retrieve the configuration
		$this->config('points_assignation_by_publication.settings')
			->set('value_per_submission', $form_state->getValue('value_per_submission'))
			->set('value_per_early_date', $form_state->getValue('value_per_early_date'))
			->set('value_per_late_date', $form_state->getValue('value_per_late_date'))
			->set('value_per_mistakes', $form_state->getValue('value_per_mistakes'))
			->save();


		parent::submitForm($form, $form_state); // TODO: Change the autogenerated stub
	}
}